## rust-distro-info 0.4.0

=== tests/Makefile ===
tests_dir := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))

ci-install-deps:
	sudo apt-get install -qqy shunit2

apply:
	cat $(wildcard *.patch) | patch -p0

unapply:
	cat $(wildcard *.patch) | patch -R -p0

run-ubuntu-tests:
	COMMAND=$(tests_dir)/../target/debug/ubuntu-distro-info ./distro-info/test-ubuntu-distro-info

test: apply run-ubuntu-tests unapply

=== debian/changelog ===
rust-distro-info (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * Package distro-info 0.4.0 from crates.io using debcargo 2.6.1
  * Apply upstream patch to switch from failure to anyhow.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 27 Apr 2024 11:19:05 +0000

rust-distro-info (0.4.0-1) unstable; urgency=medium

  * Package distro-info 0.4.0 from crates.io using debcargo 2.6.0

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 19 Jun 2023 18:39:17 +0100

rust-distro-info (0.3.0-1) unstable; urgency=medium

  * Package distro-info 0.3.0 from crates.io using debcargo 2.6.0

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 03 Jun 2023 19:42:04 +0100

=== debian/control ===
Source: rust-distro-info
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-anyhow-1+default-dev <!nocheck>,
 librust-chrono-0.4+default-dev (>= 0.4.3-~~) <!nocheck>,
 librust-csv-1+default-dev <!nocheck>,
 distro-info-data <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/distro-info]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/distro-info
Homepage: https://github.com/OddBloke/distro-info-rs/tree/master
X-Cargo-Crate: distro-info
Rules-Requires-Root: no

Package: librust-distro-info-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev,
 librust-chrono-0.4+default-dev (>= 0.4.3-~~),
 librust-csv-1+default-dev,
 distro-info-data
Provides:
 librust-distro-info+default-dev (= ${binary:Version}),
 librust-distro-info-0-dev (= ${binary:Version}),
 librust-distro-info-0+default-dev (= ${binary:Version}),
 librust-distro-info-0.4-dev (= ${binary:Version}),
 librust-distro-info-0.4+default-dev (= ${binary:Version}),
 librust-distro-info-0.4.0-dev (= ${binary:Version}),
 librust-distro-info-0.4.0+default-dev (= ${binary:Version})
Description: Parsing Debian/Ubuntu distro-info-data - Rust source code
 Source code for Debianized Rust crate "distro-info"

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/distro-info-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/distro-info .*/crates/distro-info/@ANY_VERSION@/download
